Bug 109720 - (mono) Request for Enhancement: Add Mono 1.0 in 2004
Request for Enhancement: Add Mono 1.0 in 2004
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: basesystem (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karen Bennet
http://www.mono-project.com
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-11 07:32 EST by Jonathan Pryor
Modified: 2009-01-14 08:37 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-20 12:12:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error log (2.51 KB, text/plain)
2009-01-14 06:57 EST, clland64
no flags Details

  None (edit)
Description Jonathan Pryor 2003-11-11 07:32:45 EST
Request for enhancement:

It would be nice if Fedora Core included Mono 1.0.

Mono 1.0 should be released in 2004.  See the Mono roadmap at:

http://www.go-mono.org/mono-roadmap.html

It might be useful to add Mono before 1.0 (current is 0.28), to help
prepare for the release of 1.0...  ;-)
Comment 1 Richard Torkar 2003-11-11 07:43:16 EST
I think it is obvious that it should be included in some pre-release
form to better make sure that the inclusion is performed in a correct
way. 
E.g. how will the Global Assembly Cache issue be solved?
Comment 2 Daniel Veillard 2003-11-11 07:54:38 EST
It's on their roadmap. This is a project decision:
http://www.go-mono.net/mono-hacking-roadmap.html

whatever they decide is likely to be the way it is
implemented within Fedora.

Daniel
Comment 3 Jonathan Pryor 2003-11-11 08:04:10 EST
I'm not sure what you mean by "Global Assembly Cache issue", but the
current verdict is that gacutil.exe will be the only supported method
of adding assemblies to the GAC.

Period.

(Unless someone comes up with a *really* good reason not to, and
saving disk space is NOT a *really* good reason.)

This means that any RPM that wants to install an assembly into the GAC
must run ``gacutil -i'' in a post-install script.
Comment 4 John Luke 2004-07-19 14:11:08 EDT
So 1.0 was released, any chance this is going to be accepted into
Fedora?  I would be happy to act as an intermediary between mono and
fedora to make this happen, if necessary.
Comment 5 Jonathan Pryor 2004-07-20 07:51:16 EDT
From the sound of Havoc Pennington's blog (for which I'm too lazy to
look up; just hit Google), the release of 1.0 isn't enough.  The
primary issue holding things back is our favorite topic: patent licenses.

The only thing that will be enough is a written gaurantee/assurance
from  Microsoft, Intel, IBM, and anyone else involved in the ECMA
standards stating that any patents required by the ECMA standards are
(1) Royalty Free, and (2) usable by Free Software, so none of that
silly Microsoft Office 2003 XML file format crap which, while royalty
free, required adding a disclaimer to your software stating
(paraphrasing) "This software may use patents owned by Microsoft." 
That requirement prevents Free Software from reading the file formats,
as it's unknown which patents are involved, and the disclaimer is an
added requirement, which is against the GPL.
Comment 6 Bill Nottingham 2004-07-20 12:12:51 EDT
At this point, no.
Comment 7 clland64 2009-01-14 06:57:35 EST
Created attachment 328973 [details]
error log

New install of Fedora 9. Left running and this was on the screen

Note You need to log in before you can comment on or make changes to this bug.